Customization

List Link Types Custom

Lists custom link types.

GET
/link-types.custom.list

Lists custom link types.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

cursor?string

The cursor to resume iteration from. If not provided, then iteration starts from the beginning.

Formattext
deprecated?booleanDeprecated

Whether only deprecated link types should be filtered.

is_deprecated?boolean

Whether only deprecated link types should be filtered.

limit?integer

The maximum number of items, for each result and reverse_result.Default value is 50 for each.

Formatint32
mode?string

The iteration mode to use, otherwise if not set, then "after" is used.

Value in"after" | "before"
name?array<string>

The list of link type names.

sort_by?array<string>

The list of fields to sort the items by and how to sort them.

source_types_v2.is_custom_leaf_type?boolean

True when the descriptor describes a custom leaf type.

source_types_v2.leaf_only?boolean

Set to true when only the specified leaf type (no subtypes) is allowed as a link target.

source_types_v2.leaf_type?string

Leaf type of the target objects.

Formattext
source_types_v2.subtype?string

Specific subtype of the target objects.

Formattext
target_types_v2.is_custom_leaf_type?boolean

True when the descriptor describes a custom leaf type.

target_types_v2.leaf_only?boolean

Set to true when only the specified leaf type (no subtypes) is allowed as a link target.

target_types_v2.leaf_type?string

Leaf type of the target objects.

Formattext
target_types_v2.subtype?string

Specific subtype of the target objects.

Formattext

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/link-types.custom.list"
{
  "next_cursor": "string",
  "prev_cursor": "string",
  "result": [
    {
      "created_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "created_date": "2023-01-01T12:00:00.000Z",
      "display_id": "string",
      "id": "string",
      "modified_by": {
        "type": "dev_user",
        "display_id": "string",
        "id": "string",
        "display_name": "string",
        "display_picture": {
          "display_id": "string",
          "id": "string",
          "file": {
            "type": "string",
            "name": "string",
            "size": 0
          }
        },
        "email": "string",
        "full_name": "string",
        "state": "active"
      },
      "modified_date": "2023-01-01T12:00:00.000Z",
      "object_version": 0,
      "backward_name": "string",
      "forward_name": "string",
      "is_deprecated": true,
      "name": "string",
      "source_types": [
        {
          "is_custom_leaf_type": true,
          "leaf_only": true,
          "leaf_type": "string",
          "subtype": "string"
        }
      ],
      "sync_metadata": {
        "external_record_id": "string",
        "external_record_type": "string",
        "external_reference": "string",
        "last_sync_in": {
          "status": "failed",
          "sync_date": "2023-01-01T12:00:00.000Z",
          "sync_unit": {
            "display_id": "string",
            "id": "string",
            "external_sync_unit_name": "string",
            "external_system_id": "string",
            "external_system_name": "string",
            "external_system_type": "adaas",
            "is_archived": true,
            "name": "string",
            "sync_run": {
              "mode": "initial",
              "progress": {
                "state": "completed"
              },
              "reserved_rate_limit_percentage": 0
            },
            "sync_type": "manual"
          }
        },
        "last_sync_out": {
          "status": "failed",
          "sync_date": "2023-01-01T12:00:00.000Z",
          "sync_unit": {
            "display_id": "string",
            "id": "string",
            "external_sync_unit_name": "string",
            "external_system_id": "string",
            "external_system_name": "string",
            "external_system_type": "adaas",
            "is_archived": true,
            "name": "string",
            "sync_run": {
              "mode": "initial",
              "progress": {
                "state": "completed"
              },
              "reserved_rate_limit_percentage": 0
            },
            "sync_type": "manual"
          }
        },
        "origin_system": "string"
      },
      "target_types": [
        {
          "is_custom_leaf_type": true,
          "leaf_only": true,
          "leaf_type": "string",
          "subtype": "string"
        }
      ],
      "tooltip": "string"
    }
  ]
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}